package com.dmgame.net.script;

import com.dmgame.net.script.*;
import com.dmgame.net.server.*;
import java.util.concurrent.*;

return new Reset();

class Reset extends ServerCommand{

	String getName(){return "reset"};

	public boolean perform(Scanner s){
		ServerUtility.running = false
		ScheduledThreadPoolExecutor ex = new ScheduledThreadPoolExecutor(1)
		println("waiting for thread shutdown...")
		ex.schedule({ServerConnectionHandler.main(null)} as Runnable,10,TimeUnit.SECONDS)
		return false
	}
}